---
- name: Group hosts by platform
  hosts: all
  tags:
    - always
  pre_tasks:
    - include_tasks: tasks/meta/runtime-group-determination.yaml


- name: Bootstrap remote ansible environment
  hosts: linux
  gather_facts: false
  tags:
    - always
  tasks:
    - include_tasks: tasks/meta/bootstrap-remote-env.yaml


# [lemony snicket voice] "server" here being a word used to mean "not a workstation"
- name: Configure servers
  hosts: linux:!workstation
  gather_facts: false
  roles:
    - role: skylab.core.server


- name: Configure cluster
  hosts: linux:&cluster
  gather_facts: false
  roles:
    - role: skylab.core.datastore
    - role: skylab.core.swarm


- name: Configure dashboard nodes
  hosts: iridium
  gather_facts: false
  roles:
    - role: skylab.core.dashboard
      dashboard_hostname: "{{ skylab_dashboard }}"


- name: Configure workstations
  hosts: workstation
  gather_facts: false
  roles:
    - role: skylab.core.workstation
